### Function

# Pango.Gravity.get_for_matrix

#### Declaration [src]

    PangoGravity
    pango_gravity_get_for_matrix (
      const PangoMatrix* matrix
    )

#### Description [src]

Finds the gravity that best matches the rotation component in a `PangoMatrix`.

#### Parameters

`matrix` | `PangoMatrix`
| a `PangoMatrix`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoGravity`
the gravity of `matrix`, which will never be `PANGO_GRAVITY_AUTO`, or `PANGO_GRAVITY_SOUTH` if `matrix` is `NULL`